﻿;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning https://jacksautohotkeyblog.wordpress.com/
;   AutoHotkey books available at http://www.computoredgebooks.com
;
; Script Function:
;	Copying text to C:\Users\%A_UserName%\Documents\Backup\%WindowName%%A_Now%.txt for backup
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

; Copying text to C:\Users\%A_UserName%\Documents\Backup\%WindowName%%A_Now%.txt for backup with CTRL+WIN+ALT+B

^#!B::
  KeyWait, Control ; avoid sticky key  
  KeyWait, Alt     ; avoid sticky key
  KeyWait, LWin     ; avoid sticky key
  KeyWait, b       ; avoid sticky key
  BlockInput, On  ; turns off mouse and keyboard to prevent accidental deletion from input
    Send, ^a
    Sleep 100
    Send, ^c
    Sleep 100
    Click
  BlockInput, Off

  IfNotExist, C:\Users\%A_UserName%\Documents\Backup\
  {
    FileCreateDir, C:\Users\%A_UserName%\Documents\Backup\
  }

  WinGetTitle, WindowName, A

  StringReplace, WindowName, WindowName, `\, -, All
  StringReplace, WindowName, WindowName, `:, -, All

  FileAppend , %clipboard%, C:\Users\%A_UserName%\Documents\Backup\%WindowName%%A_Now%.txt
Return
